Skip to main content
GET
/
baas
/
v1
/
charges
/
{correlationId}
/
stream
curl --location 'https://apisandbox.delbank.com.br/baas/v1/charges/304c439c-4b17-4a75-abb1-2526e356cdad/stream' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}' \
--output boleto.pdf
(PDF binário — Content-Type: application/pdf)
{
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
    "title": "Not Found",
    "status": 404,
    "traceId": "00-f94523a9cff07f9f4b94a6f97837f657-e010fb53ce385f31-00"
}
Para o passo a passo completo, veja o guia Gerenciar Boleto.
Retorna o boleto em formato PDF como um stream binário. Para BANKSLIP_PIX, o PDF inclui o QR Code Pix impresso no documento.

Headers

x-delbank-api-key
string
required
Sua API key.
x-delfinance-account-id
string
required
Número da conta Delfinance.

Path

correlationId
string
required
GUID do boleto.

Response

Retorna 200 OK com Content-Type: application/pdf e o conteúdo binário do PDF no corpo da resposta.
curl --location 'https://apisandbox.delbank.com.br/baas/v1/charges/304c439c-4b17-4a75-abb1-2526e356cdad/stream' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}' \
--output boleto.pdf
(PDF binário — Content-Type: application/pdf)
{
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
    "title": "Not Found",
    "status": 404,
    "traceId": "00-f94523a9cff07f9f4b94a6f97837f657-e010fb53ce385f31-00"
}